## org.omg.CORBA
Class BooleanSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.BooleanSeqHelper

public class BooleanSeqHelper
extends java.lang.Object

Helper class for : BooleanSeq

Author:
  OpenORB Compiler

Constructor Summary
`BooleanSeqHelper()`

Method Summary
`static boolean[]` `extract(Any a)` Extract BooleanSeq from an any
`static java.lang.String` `id()` Return the BooleanSeq IDL ID
`static void` `insert(Any a, boolean[] t)` Insert BooleanSeq into an any
`static boolean[]` `read(InputStream istream)` Read BooleanSeq from a marshalled stream
`static TypeCode` `type()` Return the BooleanSeq TypeCode
`static void` `write(OutputStream ostream, boolean[] value)` Write BooleanSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanSeqHelper

    public BooleanSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              boolean[] t)

  Insert BooleanSeq into an any
  Parameters:
    `a` - an any
    `t` - BooleanSeq value

### extract

    public static boolean[] extract(Any a)

  Extract BooleanSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BooleanSeq value

### type

    public static TypeCode type()

  Return the BooleanSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BooleanSeq IDL ID
  Returns:
    an ID

### read

    public static boolean[] read(InputStream istream)

  Read BooleanSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BooleanSeq value

### write

    public static void write(OutputStream ostream,
                             boolean[] value)

  Write BooleanSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BooleanSeq value